﻿using System.Collections.Generic;

namespace Acclaro.WisejEJ2Charts
{
    // Root myDeserializedClass = JsonConvert.DeserializeObject<Root>(myJsonResponse);
    public class DataLabel
    {
        public bool? visible { get; set; }
    }

    public class LineData
    {
        public object x { get; set; }
        public object y { get; set; }
    }

    public class LegendSettings
    {
        public bool? visible { get; set; }
    }

    public class Marker
    {
        public DataLabel dataLabel { get; set; }
    }

    public class PrimaryAxis
    {
        public string valueType { get; set; }
        public string title { get; set; }
        public string labelFormat { get; set; }
        public int? minimum { get; set; }
        public int? maximum { get; set; }
        public int? interval { get; set; }
    }

    public class LineSeries
    {
        public dynamic dataSource { get; set; }
        public string xName { get; set; }
        public string yName { get; set; }
        public string name { get; set; }
        public string type { get; set; }
        public Marker marker { get; set; }
    }


}